.profile {
  width: 60vw;
  margin: 1rem auto 0 auto;
  color: $color-primary;
  @include clearfix;

  @media screen and (max-width: 1024px) {
    width: 80vw;
  }

  @media screen and (max-width: 460px) {
    width: 90vw;
  }

  .cover {
    position: relative;

    img {
      width: 100%;
      height: 35rem;
      object-fit: cover;
      border-radius: 1rem;

      @media screen and(max-width: 460px) {
        height: 23vh;
      }
    }
  }

  .photo {
    position: absolute;
    left: 3rem;
    top: 100%;
    transform: translateY(-30%);
    padding: 0.6rem;
    border-radius: 10rem;
    background-color: white;

    @media screen and(max-width: 460px) {
      transform: translateY(-40%);
    }

    @media screen and(max-width: 350px) {
      left: 1.5rem;
    }

    img {
      width: 17rem;
      height: 17rem;
      object-fit: cover;
      border-radius: 10rem;

      @media screen and(max-width: 460px) {
        height: 14rem;
        width: 14rem;
      }

      @media screen and(max-width: 400px) {
        height: 12rem;
        width: 12rem;
      }
    }
  }

  .name {
    position: absolute;
    left: 23rem;
    top: 104%;
    width: 30%;
    color: darken($color-primary, 30%);

    @media screen and(max-width: 1024px) {
      width: 60%;
    }

    @media screen and(max-width: 460px) {
      left: 20rem;
    }

    @media screen and(max-width: 400px) {
      left: 18rem;
      font-size: 2rem;
    }

    @media screen and(max-width: 350px) {
      left: 16rem;
    }

    > .stats {
      color: $color-orange;
    }
  }

  .place {
    margin-top: 13rem;

    @media screen and(max-width: 460px) {
      margin-top: 10rem;
    }
  }

  > .description {
    float: right;
    width: 40%;
    margin: 3rem 0 2rem 0;

    @media screen and(max-width: 1024px) {
      width: 70%;
      margin-top: 8rem;
    }

    @media screen and(max-width: 460px) {
      width: 57%;
    }
  }

  .tabs {
    display: flex;
    margin-top: 2rem;
    justify-content: center;

    .tab {
      background-color: transparent;
      border-radius: 5rem;
      color: $color-primary;
      padding: 1rem 1.5rem;
      border: none;
      font-weight: bold;

      &.active,
      &:hover {
        background-color: $color-secondary;
        color: black;
      }
    }
  }

  // .navigation {
  //   display: flex;
  //   border-top: 1px solid lighten($color-navbar, 15%);
  //   border-bottom: 1px solid lighten($color-navbar, 15%);
  //   justify-content: space-evenly;
  //   width: 100%;

  //   .link {
  //     padding: 1rem;
  //     cursor: pointer;

  //     &.active,
  //     &:hover {
  //       color: $color-orange;
  //     }
  //   }
  // }

  .posts {
    columns: 2;
    padding: 2rem 0;

    @media screen and(max-width: 1024px) {
      float: left;
    }

    .post {
      display: inline-block;
      width: 100%;
      border-radius: 1rem;
      margin: 0.7rem 0;
      overflow: hidden;
      position: relative;
      cursor: pointer;

      &:hover {
        > .stats {
          top: -7.2rem;
        }

        img {
          width: 110%;
        }
      }

      > .stats {
        position: absolute;
        color: white;
        display: flex;
        background-color: rgba(0, 0, 0, 0.5);
        padding: 1.2rem 0;
        width: 100%;
        justify-content: center;
        transition: 0.3s;
        top: 0;

        > .description {
          width: 60%;
          text-align: center;
        }

        > .icon {
          position: absolute;
          left: 0;
        }

        i {
          margin-left: 1rem;
          color: $color-orange;
        }
      }

      img,
      video {
        width: 100%;
        display: block;
        transition: 0.3s;
      }

      .video-overlay {
        position: relative;

        &:hover {
          &::before {
            border-color: white;
          }

          &::after {
            border-left: 4.5rem solid rgba(white, 1);
          }
        }

        &::before,
        &::after {
          content: '';
          position: absolute;
          left: 50%;
          top: 50%;
          transform: translate(-50%, -50%);
          transition: 0.3s;
        }

        &::before {
          width: 10rem;
          height: 10rem;
          border-radius: 10rem;
          border: 0.7rem solid rgba(white, 0.3);
        }

        &::after {
          width: 0;
          height: 0;
          border-top: 2.25rem solid transparent;
          border-left: 4.5rem solid rgba(white, 0.3);
          border-bottom: 2.25rem solid transparent;
          margin-left: 0.4rem;
        }
      }
    }
  }
}
